public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/yq-go/
Date: Mon, 27 May 2024 01:28:26 +0000 (UTC)	[thread overview]
Message-ID: <1716773300.ffa5fffa8e658a043315e1c904ba979b13fc5873.zmedico@gentoo> (raw)

commit:     ffa5fffa8e658a043315e1c904ba979b13fc5873
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon May 27 00:28:04 2024 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon May 27 01:28:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffa5fffa

app-misc/yq-go: new package, add 4.44.1

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-misc/yq-go/Manifest            |  2 ++
 app-misc/yq-go/metadata.xml        | 16 ++++++++++++++++
 app-misc/yq-go/yq-go-4.44.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/app-misc/yq-go/Manifest b/app-misc/yq-go/Manifest
new file mode 100644
index 000000000000..7fbb473a96de
--- /dev/null
+++ b/app-misc/yq-go/Manifest
@@ -0,0 +1,2 @@
+DIST yq-4.44.1-deps.tar.xz 1359068 BLAKE2B 5db0af65b75dab0148e6167d9264e7601e3f07f26d16d63387820c96d9ac28d91a57c81b300d4dd225f0a4941ce43dde4c5e27391ea9603f6862a9cf8c6564f5 SHA512 1670aa675e1776d2ed761c482e29920e1d200bd612e68dd22b62c6d93c8c188ef88ca35262d1f21423924d1337260991e815e332f6af312ea474c5f61226bbff
+DIST yq-4.44.1.tar.gz 296499 BLAKE2B 6cbcc69acead2ae471e91baccc3fcc3853bba0ade0e707307c9fb724bafc1c51905a9cefb86d7d09b056b01b2c404bc30692f47e293df0894ad3b32ad67c22dd SHA512 afcec4e6f99f38a342a91aff34823823e32df0498c8e617314945a00d2161d28bfcc603dcaac2eb95d510bc57fe63ca2aebf1966b7420536be42f8102564314f

diff --git a/app-misc/yq-go/metadata.xml b/app-misc/yq-go/metadata.xml
new file mode 100644
index 000000000000..efec5a80fe09
--- /dev/null
+++ b/app-misc/yq-go/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>zmedico@gentoo.org</email>
+		<name>Zac Medico</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">mikefarah/yq</remote-id>
+	</upstream>
+	<use>
+		<flag name="yq-symlink">
+			Create a yq symlink to yq-go.
+		</flag>
+	</use>
+</pkgmetadata>

diff --git a/app-misc/yq-go/yq-go-4.44.1.ebuild b/app-misc/yq-go/yq-go-4.44.1.ebuild
new file mode 100644
index 000000000000..e5ffdf984aaa
--- /dev/null
+++ b/app-misc/yq-go/yq-go-4.44.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="yq is a lightweight and portable command-line YAML, JSON and XML processor"
+HOMEPAGE="https://github.com/mikefarah/yq"
+SRC_URI="https://github.com/mikefarah/yq/archive/refs/tags/v${PV}.tar.gz -> ${P/-go/}.tar.gz
+	https://dev.gentoo.org/~zmedico/dist/${P/-go/}-deps.tar.xz"
+
+S=${WORKDIR}/${P/-go/}
+LICENSE="MIT"
+LICENSE+=" Apache-2.0 BSD BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+yq-symlink"
+DOCS=(README.md)
+RDEPEND="yq-symlink? ( !app-misc/yq[yq-symlink(+)] )"
+
+src_compile() {
+	CGO_ENABLED=0 ego build -ldflags "-X main.GitDescribe=v${PV} -s -w"
+}
+
+src_install() {
+	einstalldocs
+	newbin yq yq-go
+	if use yq-symlink; then
+		dosym yq-go /usr/bin/yq
+	fi
+}
+
+src_test() {
+	./scripts/test.sh || die
+}


             reply	other threads:[~2024-05-27  1:28 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-27  1:28 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-16 23:07 [gentoo-commits] repo/gentoo:master commit in: app-misc/yq-go/ Zac Medico
2024-08-05 11:07 WANG Xuerui
2024-08-11 20:24 Zac Medico
2024-08-11 20:24 Zac Medico
2024-11-19  2:10 Zac Medico
2024-11-19  2:10 Zac Medico
2025-01-13  2:37 Zac Medico
2025-01-23  2:46 Sam James
2025-01-25 12:31 Arthur Zamarin
2025-01-25 12:32 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716773300.ffa5fffa8e658a043315e1c904ba979b13fc5873.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox